from rocolib.api.components.Component import Component

#ESP3 STACK WITH PWM SERVO FEATHERWING
c = Component()

c.addParameter("length", 130, paramType="length")
c.addParameter("width", 70, paramType="length")
c.addParameter("depth", 70, paramType="length")

c.addSubcomponent("boat", "BoatBaseFlat", inherit=True)
c.inheritAllInterfaces("boat")
c.addSubcomponent("stack", "Boat_StackMount", inherit=True)
c.inheritAllInterfaces("stack")

c.addSubcomponent("split0", "SplitEdge", inherit=True)
c.addSubcomponent("split1", "SplitEdge", inherit=True)

#the length of the both should always be a multiple of the width of the motor
#as of now i will be setting the length to 117 (so that means 9 * width of the motor which is 13)

c.toLibrary("ESP32StackBoat")
