#!/bin/bash

unset PYTHONPATH

if [ ! -d "ENV" ]; then
  python3 -m virtualenv -p python3 ENV &&
    source ENV/bin/activate &&
    pip3 install -r requirements.txt &&
    pip3 install -e .
fi

alias deactivate=exit

exec bash --init-file <(echo ". ~/.bashrc; . ENV/bin/activate;")
