from rocolib.api.components.Component import Component
from rocolib.api.Function import Function


c = Component()

c.addSubcomponent("holder", "SimpleRectBeam", inherit=True, prefix=None)

c.addConstConstraint(("holder", "length"), 60)
c.addConstConstraint(("holder", "width"), 60)
c.addConstConstraint(("holder", "depth"), 60)

c.toLibrary("BatteryStackMount")
